WikiNG - Enhancement #2397

Support for Redmine 3.1
29 Sep 2015 09:55 - Anton Wiedermann

Status: Closed Start date: 29 Sep 2015
Priority: Normal Due date:

Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.1.0

External issue:

Description

| struggle to get the plugin working with Redmine 3.1. | have used patch from #2367 and it fixed the migration (it was failing
previously) but plugin does not work and is not listed in installed plugins. No errors in logs or anywhere

Environment:
Redmine version 3.1.1.stable.14622
Ruby version 2.2.3-pl73 (2015-08-18) [x86_64-1inux]
Rails version 4.2.4
Environment production
Database adapter Mysql2

SCM:
Subversion 1.6.11
Git 1.7.1
Filesystem

Redmine plugins:
redmine_codebutton 0.1.0

Related issues:

Related to WikiNG - Bug #2367: Compatibility to Redmine 3.0.1 Closed 02 Apr 2015 06 Sep 2016
Related to WikiNG - Bug #2387: Err with Redmine 3.04 (Mention/User Profile Pa... Closed 15Jul 2015 06 Sep 2016
Related to WikiNG - Bug #2403: Patch to support Redmine 3.2 / Rails 4 Closed 16 Dec 2017
Related to WikiNG - Bug #2412: Links to issue notes do now work Closed

Associated revisions

Revision 79 - 06 Sep 2016 18:39 - Andriy Lesyuk
Fixes for Redmine 3.0 (#2367, #2387, #2397, #2403)

Revision 80 - 03 Oct 2016 15:34 - Andriy Lesyuk
Add attr_protected (#2367, #2387, #2397, #2403)

History

#1 - 01 Oct 2015 10:58 - Anton Wiedermann

is there something | can check or do to debug this? I’'m not sure where to go from here as | do not see any errors anywhere

#2 - 24 Oct 2015 17:43 - minkbear minkbear

Please take a look at http://projects.andriylesyuk.com/issues/2367#note-4

It works fine with redmine 3.1.1.

#3 - 29 Oct 2015 12:46 - Anton Wiedermann

Thank you for testingit, I'm not sure what the problem was but it was not working for me. There was no reply for quite some time so in the end |
decided to go with set of custom macros instead of wiking plugin
http://projects.andriylesyuk.com/issues/2367
http://projects.andriylesyuk.com/issues/2367#note-4

#4 - 06 Sep 2016 18:44 - Andriy Lesyuk
- Status changed from New to Open
- Assignee set to Andriy Lesyuk

- Target version setto 1.1.0

#5 - 03 Oct 2016 15:35 - Andriy Lesyuk
- Related to Bug #2412: Links to issue notes do now work added

#6 - 15 Dec 2017 23:36 - Andriy Lesyuk

- Status changed from Open to Closed
- % Done changed from 0 to 100

I believe, this issue was fixed in r79 and r80. Anton, sorry, that | did not reply.

23 Aug 2025 22


http://projects.andriylesyuk.com/projects/wiking/repository/revisions/79
http://projects.andriylesyuk.com/projects/wiking/repository/revisions/80
http://projects.andriylesyuk.com/users/anton_wiedermann
http://www.tcpdf.org

